
QGIS Application - Bug report #14514

QGIS master forgets network cache settings

2016-03-16 01:10 PM - Darek Bobak

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Network

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 22487

Description

1. Set custom directory and its size for wms cache (Settings -> Options -> Network -> Cache settings)

2. Confirm changes by clicking OK

3. Reopen Options

4. QGIS forgets the settings. The "Directory" text field remains empty; "Size [KiB]" is always 51200.

It is not possible to make this changes by "Advanced" section in Options as well as directly in Windows registry

Related issues:

Duplicates QGIS Application - Bug report # 14990: Network Cache directory (eg... Closed 2016-06-10

History

#1 - 2016-03-21 04:30 AM - Andre Jesus

Is master version 2.14? If so It is saving my changes, both size and cache directory.

Windows 7 (x64) and QGIS 2.14 (x64)

#2 - 2016-03-21 04:40 AM - Jürgen Fischer

Andre Jesus wrote:

Is master version 2.14? If so It is saving my changes, both size and cache directory.

Windows 7 (x64) and QGIS 2.14 (x64)

No master is the development branch (currently 2.15)

#3 - 2016-04-09 10:55 AM - Giovanni Manghi

- OS version deleted (10 Pro 64bit)

- Priority changed from Normal to Severe/Regression

- Operating System deleted (Windows)

#4 - 2016-05-22 11:29 AM - Giovanni Manghi

- Category set to Network

- Target version set to Version 2.16

Still true on the latest master (tested with osgeo4w).
#5 - 2016-05-22 11:40 AM - Giovanni Manghi

- Subject changed from QGIS master (5ae0445) forgets network cache settings to QGIS master forgets network cache settings

#6 - 2016-06-12 04:57 AM - Even Rouault

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicate of #14990 which just got fixed

#7 - 2016-06-14 01:27 AM - Darek Bobak

- Status changed from Closed to Reopened

In latest QGIS Master (f1ec121, just installed with OSGeo4W installer) the bug still exists.

Platform: Windows 10 Pro x64.

#8 - 2016-06-14 03:48 AM - Nyall Dawson

- Status changed from Reopened to Closed

That build doesn't yet include the fix. You'll need to wait for a newer build.
